/*
 * #01 - General
 * #02 - Headings
 * #03 - Text (by tag)
 * #04 - Text (by id/class)
 * #05 - Text (other) 
 * #06 - Lists
 * #07 - Forms
 * #08 - Tables 
 * #09 - Other   
 */

/*  COLOURS FOR TEXT
    ----------------
	Purple: 745e6b
	Teal (dark): 888f87
	Teal (light): 95a498
	Red (dark): 733438
	Red (light): 894749
	Red (light) @ 50% (for link underline): c4a3a4
	
*/

/* @FONT-FACE */
/* @font-face kit generator: http://www.fontsquirrel.com/fontface/generator */
@font-face {
	font-family: 'FertigoPro';
	src: url('../fonts/fertigo_pro-webfont.eot');
	src: url('../fonts/fertigo_pro-webfont.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/fertigo_pro-webfont.woff') format('woff'),
		 url('../fonts/fertigo_pro-webfont.ttf') format('truetype'),
		 url('../fonts/fertigo_pro-webfont.svg#FertigoPro') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'InderRegular';
	src: url('../fonts/Inder-Regular-webfont.eot');
	src: url('../fonts/Inder-Regular-webfont.eot?#iefix') format('embedded-opentype'),
		url('../fonts/Inder-Regular-webfont.woff') format('woff'),
		 url('../fonts/Inder-Regular-webfont.ttf') format('truetype'),
		 url('../fonts/Inder-Regular-webfont.svg#InderRegular') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'BitterItalic';
	src: url('../fonts/Bitter-Italic-webfont.eot');
	src: url('../fonts/Bitter-Italic-webfont.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/Bitter-Italic-webfont.woff') format('woff'),
		 url('../fonts/Bitter-Italic-webfont.ttf') format('truetype'),
		 url('../fonts/Bitter-Italic-webfont.svg#BitterItalic') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'BitterBold';
	src: url('../fonts/Bitter-Bold-webfont.eot');
	src: url('../fonts/Bitter-Bold-webfont.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/Bitter-Bold-webfont.woff') format('woff'),
		 url('../fonts/Bitter-Bold-webfont.ttf') format('truetype'),
		 url('../fonts/Bitter-Bold-webfont.svg#BitterBold') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'ChaparralProItalic';
	src: url('../fonts/chaparralpro-italic-webfont.eot');
	src: url('../fonts/chaparralpro-italic-webfont.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/chaparralpro-italic-webfont.woff') format('woff'),
		 url('../fonts/chaparralpro-italic-webfont.ttf') format('truetype'),
		 url('../fonts/chaparralpro-italic-webfont.svg#ChaparralProItalic') format('svg');
	font-weight: normal;
	font-style: normal;
}

/* #01 - GENERAL **************************************************************/

html
{
	font: small 'InderRegular', verdana, helvetica, arial, sans-serif;
	color: #745e6b;
	letter-spacing: 0.01em; /* 0.05 would be perfect, but that precision isn't accepted */
}

/* #02 - HEADINGS *************************************************************/

h1 { /* top of page */
	font-family: 'FertigoPro';
	font-size: 3em;
	font-weight: normal;
	letter-spacing: 0.06em;
	color: #894749;
	text-align: center;
}
h1#maintitle { margin-bottom: 24px; }
body#index h1,
body#possibilities h1,
body#studio h1,
body#contact h1,
body#thanks h1 { float: left; width: 810px; }

h2 { /* main content headings */
	font-family: 'FertigoPro';
	font-size: 2.2em;
	font-weight: normal;
	letter-spacing: 0.06em;
	color: #894749;
	margin-bottom: 24px;
}
div.links-group h2 { margin-bottom: 6px; }

h3, h5 { /* h5 will = h3 span.caption */
	font-family: 'BitterBold';
	font-size: 2em;
	font-weight: normal;
	color: #745e6b;
	margin-bottom: 12px;
}
h5 { font-size: 1.2em; }
h3 span.caption { margin-left: 4px; font-size: 0.6em; /* inside h3, so 0.6 of 2em = effectively 1.2em */ }
#TB_window h3 { margin: 18px 0 36px; }
h3#enso-ir {
	display: block;
	width: 60px;
	height: 20px;
	text-indent: -9999px;
	overflow: hidden;
	background: transparent url('//www.kifitness.ca/images/layout/h3-enso.gif') 0 0 no-repeat;        
	http://www.kifitness.ca/images/layout/masthead-bg.jpg
}

.contentbox h4 { /* contentbox headings */
	font-family: 'BitterBold';
	font-size: 1.2em;
	font-weight: normal;
	color: #894749;
	margin-bottom: 12px;
}
div.links-group h4 { margin-bottom: 0; }

/* #03 - TEXT (BY TAG) ********************************************************/

p {
	font-size: 1.1em;
	line-height: 2.1em;
	margin-bottom: 24px;
}
.contentbox p { line-height: 1.8em; }
p.with-expand-toggle { margin-bottom: 6px; }

/* LINKS */

/* Main Style */
#wrapper a:link, #wrapper a:hover, #wrapper a:active, #wrapper a:visited,
#header-intro a:link, #header-intro a:hover, #header-intro a:active, #header-intro a:visited,
#TB_window a:link, #TB_window a:hover, #TB_window a:active, #TB_window a:visited {
	font-family: 'InderRegular';
	color: #733438;
	text-decoration: none;
	border-bottom: 1px dotted #c4a3a4;
}
#wrapper a:hover, #header-intro a:hover, #TB_window a:hover { border-bottom: 1px solid #894749; }

a.external {
	padding-right: 10px;
	background: transparent url('//www.kifitness.ca/images/layout/link-external.gif') 100% 1px no-repeat;
}

a.thickbox { /* should only apply to links outside a .contentbox */
	padding-right: 10px;
	background: transparent url('//www.kifitness.ca/images/layout/link-popup.gif') 100% 1px no-repeat;
}

/* col-b button links */

#wrapper div.btn-link { text-align: center; margin-top: 18px; }
#wrapper .contentbox div.btn-link a {
	font-family: 'BitterItalic';
	line-height: 1.8em;
	color: #745e6b;
	border: none;
	padding: 2px 18px;
	display: inline-block;
	background: transparent url('//www.kifitness.ca/images/layout/nonfooter-bg.jpg') 0 0; /* a large image, only top-left corner used */
	cursor: pointer;
}
#wrapper .contentbox div.btn-link a:hover { color: #888f87; }

/* social icons */
.wrapper-top a#fb,
.wrapper-top a#twitter {
	display: block;
	width: 75px;
	height: 75px;
	text-indent: -9999px;
	overflow: hidden;
	background: transparent url('//www.kifitness.ca/images/layout/social.gif') 0 0 no-repeat;
	margin-top: 6px;
	border: none;
}
.wrapper-top a#fb:hover { background-position: 0 -75px; }
.wrapper-top a#twitter { background-position: -129px 0; }
.wrapper-top a#twitter:hover { background-position: -129px -75px; }

/* page-nav links (index) */
/* --- decided against using this style. If reviving, ensure it applies to ki-possibilities (Services) page as well.
body#index div#page-nav a:link, body#index div#page-nav a:hover, body#index div#page-nav a:active, body#index div#page-nav a:visited {
	font-family: 'BitterBold';
	color: #745e6b;
	font-size: 1em;
	letter-spacing: 0.1em;
	text-decoration: none;
	border: none;
}
body#index div#page-nav a:hover { color: #888f87; }
*/

/* page-nav links (non-index) */
div#page-nav a:link, div#page-nav a:hover, div#page-nav a:active, div#page-nav a:visited {
	font-family: 'BitterItalic';
	color: #745e6b;
	font-size: 1.2em;
	text-decoration: none;
	border: none;
}
div#page-nav a:hover { color: #888f87; }

/* Footer Links */
#inner-footer-top #footer-links a {
	font-family: 'BitterBold';
	color: #745e6b;
	font-size: 1.2em;
	text-decoration: none;
	border: none;
}

#inner-footer-top #footer-links a#footer-link2 {
	font-family: 'BitterItalic';
	color: #745e6b;
	font-size: 1.1em;
	text-decoration: none;
	border: none;
}

#inner-footer-top #footer-links a:hover,
#inner-footer-top #footer-links a#footer-link2:hover { color: #888f87; }

#inner-footer-top a { /* phone and email */
	color: #733438;
	text-decoration: none;
	border: none;
}

#inner-footer #inner-footer-bottom a:link, #inner-footer #inner-footer-bottom a:hover,
#inner-footer #inner-footer-bottom a:active, #inner-footer #inner-footer-bottom a:visited {
	color: #745e6b;
	text-decoration: none;
	border: none;
}
#inner-footer #inner-footer-bottom a:hover { color: #733438; }
#inner-footer-bottom .col-a a, #inner-footer-bottom .col-c a { color: #745e6b; }
#inner-footer-bottom .col-b a { color: #888f87; }


/* OTHER */

blockquote {
	font-family: 'BitterItalic';
	color: #745e6b;
	text-decoration: none;
	font-size: 1.4em;
	line-height: 2.4em;
	margin-left: 28px;
}

a.expand-toggle {
	color: #733438;
	display: inline-block;
	cursor: pointer;
	font-family: 'InderRegular', verdana, helvetica, sans-serif; /* necessary for down arrow to display consistently on hover */

	/* browser support for rgba():
	http://css-tricks.com/rgba-browser-support */
	background: rgb(223,217,202); /* fallback. IE will use conditional CSS. */
	background: rgba(116,94,107,0.1);
	padding: 6px 12px;
	margin-bottom: 48px;
}
#wrapper a.expand-toggle:hover { color: #888f87; border: none; }
body#nishi a.expand-toggle,
body#higashi a.expand-toggle { /* equipment lists */
	margin-bottom: 0;
}

/* #04 - TEXT (BY ID/CLASS) ***************************************************/

/* HEADER */

#maintitle {
	font-family: 'FertigoPro';
	font-size: 3em;
	letter-spacing: 0.06em;
	color: #745e6b;
	line-height: 1.2em;
}

#subtitle {
	font-family: 'ChaparralProItalic';
	font-size: 3em;
	letter-spacing: 0.03em;
	color: #95a498;
	font-weight: normal;
	line-height: 1.2em;
}

#header-intro p {
	font-family: 'BitterItalic';
	line-height: 1.8em;
	color: #745e6b;
}

/* OTHER */

p.h1-caption, p.h1-caption-short { /* short = one line of text */
	font-family: 'BitterItalic';
	font-size: 1.2em;
	font-weight: normal;
	letter-spacing: normal;
	color: #745e6b;
	line-height: 1.8em;
	margin-top: 24px;
	margin-bottom: 60px;
}
p.h1-caption { margin-left: 195px; width: 570px; }
p.h1-caption-short {
	margin-top: 8px;
	text-align: center;
}

span.sup { font-size: 0.7em; vertical-align: 4px; margin-left: 1px; }

div#TB_window div.schema-person { line-height: 1.8em; }
div.schema-person span.person-name { font-size: 1.1em; font-weight: bold; }
div.schema-person a.person-tel { letter-spacing: 0.2em; }


/* #05 - TEXT (OTHER) *********************************************************/

/* #06 - LISTS ****************************************************************/

/* #07 - FORMS ****************************************************************/

span.reqd { border-bottom: 1px dotted #745e6b; }

.input-text, .input-select, textarea {
	font: small 'InderRegular', verdana, helvetica, arial, sans-serif;
	color: #745e6b;
	letter-spacing: 0.01em; /* 0.05 would be perfect, but that precision isn't accepted */
}

/* #08 - TABLES ***************************************************************/

/* #09 - OTHER ****************************************************************/
